# UntilDate - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.CommonAbstracts.types / UntilDate

# UntilDate

(common) `interface UntilDate` (source)

### Properties

(common)

#### untilDate

`abstract val untilDate: TelegramDate?`

### Inheritors

(common)

#### BannedChatMember

`interface BannedChatMember : ChatMember, UntilDate`

(common)

#### KickChatMember

`data class KickChatMember : ChatMemberRequest<Boolean>, UntilDate`

(common)

#### PromoteChatMember

`data class PromoteChatMember : ChatMemberRequest<Boolean>, UntilDate`

(common)

#### RestrictChatMember

`data class RestrictChatMember : ChatMemberRequest<Boolean>, UntilDate`